summaryrefslogtreecommitdiffstats
path: root/multimedia/gpac/gpac.SlackBuild
diff options
context:
space:
mode:
author Murat D. Kadirov <nishant@mnspace.net>2010-05-11 22:54:32 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:32 +0200
commit92d95273889f90cf5d05bc60c593b12f18c64261 (patch)
tree130f92779c85ae125ee26df97b2ee96dd20e06dc /multimedia/gpac/gpac.SlackBuild
parent1954570f7dca4580016cbf4ee1ceadb4ac9f7b84 (diff)
downloadslackbuilds-92d95273889f90cf5d05bc60c593b12f18c64261.tar.gz
slackbuilds-92d95273889f90cf5d05bc60c593b12f18c64261.tar.xz
multimedia/gpac: Added to 12.1 repository
Diffstat (limited to 'multimedia/gpac/gpac.SlackBuild')
-rw-r--r--multimedia/gpac/gpac.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/multimedia/gpac/gpac.SlackBuild b/multimedia/gpac/gpac.SlackBuild
new file mode 100644
index 0000000000..2dc95110e6
--- /dev/null
+++ b/multimedia/gpac/gpac.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+#################################################################################
+
+# Slackware Package Build Script for gpac
+
+# Home Page http://gpac.sourceforge.net/
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# All rights reserved.
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#################################################################################
+
+PRGNAM=gpac
+VERSION=0.4.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+### clean up from previous builds
+
+rm -rf $PKG $TMP/$PRGNAM-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+
+### Extracting the source tarballs
+
+cd $TMP
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv $TMP/$PRGNAM $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+### fix configure script perms
+chmod u+x configure
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+--mandir=/usr/man \
+--cpu=${ARCH}
+
+# I could not get this to compile with more than 1 job, XGizzmo
+make -j1
+make install DESTDIR=$PKG
+
+### copying essential doc files
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a AUTHORS COPYING BUGS Changelog INSTALL \
+README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# find and compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+### putting slack-desc and doinst.sh in place
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+### building package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz